"use strict";
const common_vendor = require("../../common/vendor.js");
const common_libraries_map = require("../../common/libraries/map.js");
const INDEX_watermark_camera_method = require("./method.js");
const INDEX_watermark_camera_model = require("./model.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../gen/Apis.js");
require("../../common/store/useWatermarkStore.js");
require("../../common/store/useWorkStore.js");
require("../../common/libraries/apiLoading.js");
require("../../common/libraries/day.js");
require("../../common/libraries/naviHelper.js");
require("../../common/libraries/upload.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad((e) => {
      let address = common_libraries_map.getShowApiAddress();
      INDEX_watermark_camera_model.useModel.source.value = (e == null ? void 0 : e.source) || "save";
      address.then((res) => {
        INDEX_watermark_camera_model.useModel.address.value = res;
        console.log(res, "地址");
      });
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q;
      return {
        a: common_vendor.t((_b = (_a = common_vendor.unref(INDEX_watermark_camera_model.useModel)) == null ? void 0 : _a.time) == null ? void 0 : _b.value),
        b: common_vendor.t(((_e = (_d = (_c = common_vendor.unref(INDEX_watermark_camera_model.useModel)) == null ? void 0 : _c.userInfo) == null ? void 0 : _d.value) == null ? void 0 : _e.name) || ""),
        c: common_vendor.t((_g = (_f = common_vendor.unref(INDEX_watermark_camera_model.useModel)) == null ? void 0 : _f.day) == null ? void 0 : _g.value),
        d: common_vendor.t((_i = (_h = common_vendor.unref(INDEX_watermark_camera_model.useModel)) == null ? void 0 : _h.weekDay) == null ? void 0 : _i.value),
        e: common_vendor.t(((_l = (_k = (_j = common_vendor.unref(INDEX_watermark_camera_model.useModel)) == null ? void 0 : _j.address) == null ? void 0 : _k.value) == null ? void 0 : _l.address) || ((_o = (_n = (_m = common_vendor.unref(INDEX_watermark_camera_model.useModel)) == null ? void 0 : _m.address) == null ? void 0 : _n.value) == null ? void 0 : _o.formatted_address) || ""),
        f: (_q = (_p = common_vendor.unref(INDEX_watermark_camera_model.useModel)) == null ? void 0 : _p.devicePosition) == null ? void 0 : _q.value,
        g: common_vendor.o(
          //@ts-ignore
          (...args) => {
            var _a2, _b2;
            return ((_a2 = common_vendor.unref(INDEX_watermark_camera_method.method)) == null ? void 0 : _a2.takePhoto) && ((_b2 = common_vendor.unref(INDEX_watermark_camera_method.method)) == null ? void 0 : _b2.takePhoto(...args));
          }
        ),
        h: common_vendor.o(
          //@ts-ignore
          (...args) => {
            var _a2, _b2;
            return ((_a2 = common_vendor.unref(INDEX_watermark_camera_method.method)) == null ? void 0 : _a2.handleWatermarkCameraSwitch) && ((_b2 = common_vendor.unref(INDEX_watermark_camera_method.method)) == null ? void 0 : _b2.handleWatermarkCameraSwitch(...args));
          }
        )
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/INDEX/watermark_camera/index.vue"]]);
wx.createPage(MiniProgramPage);
